Subject: Re: bug#21997: epa--key-widget-value-create ignores signing subkeys

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 May 2022 14:32:23 +0200

John Wiegley <[email-masked]> writes:

> When listing secret keys using `M-x epa-list-secret-keys', one can press RET
> on the inserted widget to see a list of associated subkeys. This shows that
> epa.el is correctly parsing the subkeys of one's secret key.
>
> However, the :value of that widget always chooses the first subkey, as seen
> here:
>
>     (defun epa--key-widget-value-create (widget)
>       (let* ((key (widget-get widget :value))
> -->          (primary-sub-key (car (epg-key-sub-key-list key)))
>              (primary-user-id (car (epg-key-user-id-list key))))
>         ...))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think I vaguely remember something like this being fixed over the last
couple of years (and the `epa--key-widget-value-create' function no
longer exists).  Do you still see this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no